> ## Documentation Index
> Fetch the complete documentation index at: https://telr-docs.cashfree.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Standard Transfer Sync v1.2

> Use this API to initiate an amount transfer request at Cashfree by providing beneficiary id, amount, and transfer id. This is a sync transfer request.

<Warning> This API will be retired soon. Please plan to migrate to the latest version, [Transfers V2](/api-reference/payouts/v2/transfers-v2/get-transfer-status-v2). </Warning>

Once you trigger the requestTransfer API, the transfer to the beneficiary account will be attempted immediately and the bank's reference number will be returned in the API response. The median time for the response is 2 to 5 seconds.

Please use this Authorization token in headers to call any payout API (Refresh this page if the token is expired)

<iframe src="https://www.cashfree.com/devstudio/preview/payouts/embed/bearerToken" width="600" />

<Accordion title="Click to view the response codes.">
  | Sub Code | Status  | Message                                                          | Next Action                                                                    |
  | :------- | :------ | :--------------------------------------------------------------- | :----------------------------------------------------------------------------- |
  | 200      | SUCCESS | Transfer completed successfully.                                 | -                                                                              |
  | 201      | SUCCESS | Transfer Scheduled for next working day.                         | -                                                                              |
  | 201      | PENDING | Awaiting confirmation from beneficiary bank.                     | -                                                                              |
  | 201      | PENDING | Transfer request pending at the bank.                            | -                                                                              |
  | 201      | ERROR   | Transfer request triggered.No response from bank.                | -                                                                              |
  | 202      | PENDING | Request received. Please check status after some time.           | -                                                                              |
  | 400      | ERROR   | Mode Not valid for Beneficiary.                                  | Enter a different transfer mode for the beneficiary.                           |
  | 400      | ERROR   | Transfer Id already exists.                                      | Enter a different transfer ID.                                                 |
  | 400      | ERROR   | Not enough available balance in the account.                     | Retry with sufficient balance in the account.                                  |
  | 400      | ERROR   | Please wait 30 minutes after adding the beneficiary.             | -                                                                              |
  | 400      | ERROR   | Transfer amount is less than minimum amount of Rs. 100.          | Enter a transfer amount that is equal to or more than Rs. 100.                 |
  | 400      | ERROR   | Transfer amount is greater than the maximum amount of Rs.100000. | Enter a transfer amount that is equal to or less than Rs. 100000.              |
  | 400      | ERROR   | Transfer request to paytm wallet failed.                         | Retry the request with a different transfer mode.                              |
  | 400      | ERROR   | Transfer attempt failed at the bank.                             |                                                                                |
  | 400      | ERROR   | Transfer to this beneficiary not allowed.                        | Enter a different beneficiary ID.                                              |
  | 400      | ERROR   | Transfer amount is less than minimum amount of Rs.1              | Enter a transfer amount that is equal to or more than Rs. 1.                   |
  | 400      | ERROR   | Transfer limit for your account exceeded.                        |                                                                                |
  | 400      | ERROR   | Transfer mode not enabled for the account.                       |                                                                                |
  | 400      | ERROR   | Specified paymentInstrumentId not available.                     | Enter a valid payment instrument ID.                                           |
  | 400      | ERROR   | Specified paymentInstrumentId not valid for this payment mode.   | Enter a valid payment instrument ID.                                           |
  | 400      | ERROR   | Multiple PaymentInstruments available for this payment mode.     |                                                                                |
  | 400      | ERROR   | Transfer limit for beneficiary exceeded.                         |                                                                                |
  | 403      | ERROR   | Token is not valid                                               | Verify the generated token.                                                    |
  | 403      | ERROR   | IP not whitelisted                                               | Whitelist the IP address.                                                      |
  | 404      | ERROR   | Beneficiary does not exist.                                      | Enter a valid beneficiary ID.                                                  |
  | 412      | ERROR   | Please provide a valid transferId.                               | Enter a valid transfer ID.                                                     |
  | 422      | ERROR   | Please provide a valid beneId.                                   | Enter a valid beneficiary ID.                                                  |
  | 422      | ERROR   | Invalid bank account number or IFSC provided.                    | Enter a valid bank account number and IFSC.                                    |
  | 422      | ERROR   | Invalid IFSC code provided for bank account.                     | Enter a valid IFSC.                                                            |
  | 422      | ERROR   | Invalid Amount Passed.Only 2 decimal places are allowed.         |                                                                                |
  | 422      | ERROR   | Please provide a valid transferId.                               | Enter a valid transfer ID.                                                     |
  | 422      | ERROR   | Remarks is invalid.                                              | Enter any remarks of a maximum of 70 alphanumeric characters and white spaces. |
</Accordion>


## OpenAPI

````yaml post /payout/v1.2/requestTransfer
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
security:
  - {}
paths:
  /payout/v1.2/requestTransfer:
    post:
      summary: Standard Transfer Sync v1.2
      description: >-
        Use this API to initiate an amount transfer request at Cashfree by
        providing beneficiary id, amount, and transfer id. This is a sync
        transfer request.
      operationId: standard-transfer-sync-v-1-21
      parameters:
        - name: Authorization
          in: header
          description: Bearer Auth Token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1_2_requestTransfer_body'
      responses:
        '200':
          description: Successful response with status and data or error information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_21'
              examples:
                SuccessExample:
                  summary: Successful Transfer
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Transfer completed successfully
                    data:
                      referenceId: '10023'
                      utr: P16111765023806
                      acknowledged: 1
                ErrorNotFound:
                  summary: Beneficiary Not Found
                  value:
                    status: ERROR
                    subCode: '404'
                    message: Beneficiary does not exist
                ErrorInvalidRemarks:
                  summary: Invalid Remarks
                  value:
                    status: ERROR
                    subCode: '422'
                    message: Remarks can have only numbers, alphabets, and whitespaces
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
      deprecated: false
      security: []
components:
  schemas:
    v1_2_requestTransfer_body:
      required:
        - amount
        - beneId
        - transferId
      type: object
      properties:
        beneId:
          type: string
          description: Beneficiary Id. Alphanumeric characters allowed.
        amount:
          type: number
          description: amount to be transferred. Decimals allowed (>= 1.00)
          format: float
        transferId:
          type: string
          description: >-
            A unique Id to identify this transfer. Alphanumeric and underscore
            (_) allowed (40 character limit).
        transferMode:
          type: string
          description: >-
            It is the mode of transfer. Allowed values are: banktransfer, neft,
            imps, rtgs, upi, paytm, and amazonpay. The default transferMode is
            banktransfer.
        paymentInstrumentId:
          type: string
          description: >-
            Specify the fund source ID from where you want the amount to be
            debited.
        remarks:
          type: string
          description: >-
            Additional remarks, if any. Alphanumeric and white spaces allowed
            (70 characters limit).
    inline_response_200_21:
      oneOf:
        - type: object
          properties:
            status:
              type: string
              example: SUCCESS
            subCode:
              type: string
              example: '200'
            message:
              type: string
              example: Transfer completed successfully
            data:
              $ref: '#/components/schemas/inline_response_200_20_data'
        - type: object
          properties:
            status:
              type: string
              example: ERROR
            subCode:
              type: string
              example: '404'
            message:
              type: string
              example: Beneficiary does not exist
        - type: object
          properties:
            status:
              type: string
              example: ERROR
            subCode:
              type: string
              example: '422'
            message:
              type: string
              example: Remarks can have only numbers, alphabets, and whitespaces
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://telr.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    inline_response_200_20_data:
      type: object
      properties:
        referenceId:
          type: string
          example: '10023'
        utr:
          type: string
          example: P16111765023806
        acknowledged:
          type: integer
          example: 1

````